import request from '@/utils/request'

// 查询呼叫频率配置列表
export function listApi(query) {
  return request({
    url: '/company/companyVoiceConfig/list',
    method: 'get',
    params: query
  })
}

// 查询呼叫频率配置详细
export function getApi(id) {
  return request({
    url: '/company/companyVoiceConfig/' + id,
    method: 'get'
  })
}

// 新增呼叫频率配置
export function addApi(data) {
  return request({
    url: '/company/companyVoiceConfig',
    method: 'post',
    data: data
  })
}

// 修改呼叫频率配置
export function updateApi(data) {
  return request({
    url: '/company/companyVoiceConfig',
    method: 'put',
    data: data
  })
}

// 删除呼叫频率配置
export function delApi(id) {
  return request({
    url: '/company/companyVoiceConfig/' + id,
    method: 'delete'
  })
}
